% dataext01 Data Extraction for Patient 01
%

% Created by Mathias Falk, last modified 16/05/16


%% pre surgery
load 160317_01pre.mat

% extract second dataset (coloum 2)
ECG = data(datastart(1,2):dataend(1,2));
ABP = data(datastart(2,2):dataend(2,2));
LDF = data(datastart(3,2):dataend(3,2));

% A
ECG_A = ECG(25*SpM:51*SpM-1);
ABP_A = ABP(25*SpM:51*SpM-1);
LDF_A = LDF(25*SpM:51*SpM-1);


%% post
load 160317_01post.mat

% extract second dataset (coloum 9)
ECG = data(datastart(1,9):dataend(1,9));
ABP = data(datastart(2,9):dataend(2,9));
LDF = data(datastart(3,9):dataend(3,9));

% B
ECG_B = ECG(30*SpM:60*SpM-1);
ABP_B = ABP(30*SpM:60*SpM-1);
LDF_B = LDF(30*SpM:60*SpM-1);

% C
ECG_C = ECG(121*SpM:141*SpM-1);
ABP_C = ABP(121*SpM:141*SpM-1);
LDF_C = LDF(121*SpM:141*SpM-1);

% D
ECG_D = ECG(926*SpM:967*SpM-1);
ABP_D = ABP(926*SpM:967*SpM-1);
LDF_D = LDF(926*SpM:967*SpM-1);


%% struct

patientdata(1).ECG = {ECG_A,ECG_B,ECG_C,ECG_D};
patientdata(1).ABP = {ABP_A,ABP_B,ABP_C,ABP_D};
patientdata(1).LDF = {LDF_A,LDF_B,LDF_C,LDF_D};

