% dataext03 Data Exctraction for Patient 03
% 

% Created by Mathias Falk, last modified 17/05/16




%% pre
load 160331_03pre_0945MAT.mat

ECG = data(datastart(2,4):dataend(2,4));
ABP = data(datastart(4,4):dataend(4,4));
LDF = data(datastart(5,4):dataend(5,4));

% A
ECG_A = ECG(1:24*SpM-1);
ABP_A = ABP(1:24*SpM-1);
LDF_A = LDF(1:24*SpM-1);



%% post
load 160331_03post(2)MAT.mat

ECG = data(datastart(2,1):dataend(2,1));
ABP = data(datastart(4,1):dataend(4,1));
LDF = data(datastart(5,1):dataend(5,1));


% B
ECG_B = ECG(71*SpM:112*SpM-1);
ABP_B = ABP(71*SpM:112*SpM-1);
LDF_B = LDF(71*SpM:112*SpM-1);


% C
ECG_C = ECG(160*SpM:180*SpM-1);
ABP_C = ABP(160*SpM:180*SpM-1);
LDF_C = LDF(160*SpM:180*SpM-1);

% D
ECG_D = ECG(882*SpM:908*SpM-1);
ABP_D = ABP(882*SpM:908*SpM-1);
LDF_D = LDF(882*SpM:908*SpM-1);



%% stuct

patientdata(3).ECG = {ECG_A;ECG_B;ECG_C;ECG_D};
patientdata(3).ABP = {ABP_A;ABP_B;ABP_C;ABP_D};
patientdata(3).LDF = {LDF_A;LDF_B;LDF_C;LDF_D};





