% dataext06 Data Exctraction for Patient 06
% 

% Created by Mathias Falk, last modified 18/05/16



%% pre
load 160413_06pre_0845MAT.mat

ECG = data(datastart(2,1):dataend(2,1));
ABP = data(datastart(4,1):dataend(4,1));
LDF = data(datastart(5,1):dataend(5,1));

% A
ECG_A = ECG(15*SpM:55*SpM-1);
ABP_A = ABP(15*SpM:55*SpM-1);
LDF_A = LDF(15*SpM:55*SpM-1);



%% post
load 160413_06postMAT.mat

ECG = data(datastart(2,2):dataend(2,2));
ABP = data(datastart(4,2):dataend(4,2));
LDF = data(datastart(5,2):dataend(5,2));


% B
ECG_B = ECG(80*SpM:140*SpM-1);
ABP_B = ABP(80*SpM:140*SpM-1);
LDF_B = LDF(80*SpM:140*SpM-1);


% C
ECG_C = ECG(184*SpM:210*SpM-1); % or 3:18 to 3:40:30
ABP_C = ABP(184*SpM:210*SpM-1);
LDF_C = LDF(184*SpM:210*SpM-1);

% D
ECG_D = ECG(868*SpM:892*SpM-1);
ABP_D = ABP(868*SpM:892*SpM-1);
LDF_D = LDF(868*SpM:892*SpM-1);



%% stuct

patientdata(6).ECG = {ECG_A;ECG_B;ECG_C;ECG_D};
patientdata(6).ABP = {ABP_A;ABP_B;ABP_C;ABP_D};
patientdata(6).LDF = {LDF_A;LDF_B;LDF_C;LDF_D};

