% dataext07 Data Exctraction for Patient 07
% 

% Created by Mathias Falk, last modified 18/05/16


%% pre
load 160421_07pre_0857MAT.mat

ECG = data(datastart(1,1):dataend(1,1));
ABP = data(datastart(2,1):dataend(2,1));
LDF = data(datastart(4,1):dataend(4,1));

% A
ECG_A = ECG(4*SpM:24*SpM-1);
ABP_A = ABP(4*SpM:24*SpM-1);
LDF_A = LDF(4*SpM:24*SpM-1);



%% post
load 160421_07postMAT.mat

ECG = data(datastart(1,1):dataend(1,1));
ABP = data(datastart(2,1):dataend(2,1));
LDF = data(datastart(4,1):dataend(4,1));


% B
ECG_B = ECG(57*SpM:80*SpM-1);
ABP_B = ABP(57*SpM:80*SpM-1);
LDF_B = LDF(57*SpM:80*SpM-1);


% C
ECG_C = ECG(176*SpM:196*SpM-1); 
ABP_C = ABP(176*SpM:196*SpM-1);
LDF_C = LDF(176*SpM:196*SpM-1);


% D
ECG_D = ECG(786*SpM:810*SpM-1);
ABP_D = ABP(786*SpM:810*SpM-1);
LDF_D = LDF(786*SpM:810*SpM-1);



%% stuct

patientdata(7).ECG = {ECG_A;ECG_B;ECG_C;ECG_D};
patientdata(7).ABP = {ABP_A;ABP_B;ABP_C;ABP_D};
patientdata(7).LDF = {LDF_A;LDF_B;LDF_C;LDF_D};
