% dataext02 Data Exctraction for Patient 02
% 

% Created by Mathias Falk, last modified 16/05/16


%% pre
load 160329_02pre_0945MAT.mat

ECG = data(datastart(2,8):dataend(2,8));
ABP = data(datastart(3,8):dataend(3,8));
LDF = data(datastart(4,8):dataend(4,8));

% A
ECG_A = ECG(24*SpM:61*SpM-1);
ABP_A = ABP(24*SpM:61*SpM-1);
LDF_A = LDF(24*SpM:61*SpM-1);


% data for noise influence visualization

% excerpts showing with and without noise
ECG_exc2 = ECG(19*60*400:24*60*400-1);
ECG_exc3 = ECG(24*60*400:29*60*400-1);

% excerpt with glitch
ECG_exc4 = ECG(41*60*400:44*60*400-1);


   
%% post
load 160329_02postMAT.mat

ECG = data(datastart(2,5):dataend(2,5));
ABP = data(datastart(3,5):dataend(3,5));
LDF = data(datastart(4,5):dataend(4,5));

% B
ECG_B = ECG(46*SpM:78*SpM-1); % or 92, but noise must remove
ABP_B = ABP(46*SpM:78*SpM-1);
LDF_B = LDF(46*SpM:78*SpM-1);

% C
ECG_C = ECG(127*SpM:187*SpM-1);
ABP_C = ABP(127*SpM:187*SpM-1);
LDF_C = LDF(127*SpM:187*SpM-1);

% D
ECG_D = ECG(949*SpM:965*SpM-1);
ABP_D = ABP(949*SpM:965*SpM-1);
LDF_D = LDF(949*SpM:965*SpM-1);


%% struct

patientdata(2).ECG = {ECG_A;ECG_B;ECG_C;ECG_D};
patientdata(2).ABP = {ABP_A;ABP_B;ABP_C;ABP_D};
patientdata(2).LDF = {LDF_A;LDF_B;LDF_C;LDF_D};


