% dataext05 Data Exctraction for Patient 05
% 

% Created by Mathias Falk, last modified 17/05/16


%% pre
load 160407_05pre_0821MAT.mat

ECG = data(datastart(2,3):dataend(2,3));
ABP = data(datastart(4,3):dataend(4,3));
LDF = data(datastart(5,3):dataend(5,3));

% A
ECG_A = ECG(1:17*SpM-1);
ABP_A = ABP(1:17*SpM-1);
LDF_A = LDF(1:17*SpM-1);



%% post
load 160407_05postMAT.mat

ECG = data(datastart(2,1):dataend(2,1));
ABP = data(datastart(4,1):dataend(4,1));
LDF = data(datastart(5,1):dataend(5,1));


% B
ECG_B = ECG(113*SpM:143*SpM-1);
ABP_B = ABP(113*SpM:143*SpM-1);
LDF_B = LDF(113*SpM:143*SpM-1);


% C
ECG_C = ECG(195*SpM:219*SpM-1);
ABP_C = ABP(195*SpM:219*SpM-1);
LDF_C = LDF(195*SpM:219*SpM-1);

% D
ECG_D = ECG(1033*SpM:1066*SpM-1); % or 1050
ABP_D = ABP(1033*SpM:1066*SpM-1);
LDF_D = LDF(1033*SpM:1066*SpM-1);



%% stuct

patientdata(5).ECG = {ECG_A;ECG_B;ECG_C;ECG_D};
patientdata(5).ABP = {ABP_A;ABP_B;ABP_C;ABP_D};
patientdata(5).LDF = {LDF_A;LDF_B;LDF_C;LDF_D};



