% dataext08 Data Exctraction for Patient 08
% 

% Created by Mathias Falk, last modified 15/05/16


%% pre
load 160510_08pre_1037MAT.mat

ECG = data(datastart(1,1):dataend(1,1));
ABP = data(datastart(2,1):dataend(2,1));
LDF = data(datastart(4,1):dataend(4,1));

% A
ECG_A = ECG(16*SpM:34*SpM-1); % much noise
ABP_A = ABP(16*SpM:34*SpM-1);
LDF_A = LDF(16*SpM:34*SpM-1);




%% post
load 160510_08postMAT.mat

ECG = data(datastart(1,1):dataend(1,1));
ABP = data(datastart(2,1):dataend(2,1));
LDF = data(datastart(4,1):dataend(4,1));


% B
ECG_B = ECG(30*SpM:90*SpM-1);
ABP_B = ABP(30*SpM:90*SpM-1);
LDF_B = LDF(30*SpM:90*SpM-1);


% C
ECG_C = ECG(132*SpM:156*SpM-1); 
ABP_C = ABP(132*SpM:156*SpM-1);
LDF_C = LDF(132*SpM:156*SpM-1);


% D
ECG_D = ECG(784*SpM:804*SpM-1);
ABP_D = ABP(784*SpM:804*SpM-1);
LDF_D = LDF(784*SpM:804*SpM-1);



%% stuct

patientdata(8).ECG = {ECG_A;ECG_B;ECG_C;ECG_D};
patientdata(8).ABP = {ABP_A;ABP_B;ABP_C;ABP_D};
patientdata(8).LDF = {LDF_A;LDF_B;LDF_C;LDF_D};
