% dataext10 Data Exctraction for Patient 10
% 

% Created by Mathias Falk, last modified 25/05/16


%% pre
load 160524_10pre_0948MAT.mat

ECG = data(datastart(1,1):dataend(1,1));
ABP = data(datastart(2,1):dataend(2,1));
LDF = data(datastart(4,1):dataend(4,1));

% A
ECG_A = ECG(50*SpM:end); 
ABP_A = ABP(50*SpM:end); 
LDF_A = LDF(50*SpM:end);



%% post
load 160524_10postMAT.mat

ECG = data(datastart(1,1):dataend(1,1));
ABP = data(datastart(2,1):dataend(2,1));
LDF = data(datastart(4,1):dataend(4,1));


% B
ECG_B = ECG(64*SpM:116*SpM-1);
ABP_B = ABP(64*SpM:116*SpM-1);
LDF_B = LDF(64*SpM:116*SpM-1);


% C
ECG_C = ECG(148*SpM:168*SpM-1);  % or 175
ABP_C = ABP(148*SpM:168*SpM-1); 
LDF_C = LDF(148*SpM:168*SpM-1);


% D
ECG_D = ECG(731*SpM:778*SpM-1);
ABP_D = ABP(731*SpM:778*SpM-1);
LDF_D = LDF(731*SpM:778*SpM-1);



%% stuct

patientdata(10).ECG = {ECG_A;ECG_B;ECG_C;ECG_D};
patientdata(10).ABP = {ABP_A;ABP_B;ABP_C;ABP_D};
patientdata(10).LDF = {LDF_A;LDF_B;LDF_C;LDF_D};